[arch-commits] Commit in bmpx/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Jul 18 02:39:25 EDT 2008


    Date: Friday, July 18, 2008 @ 02:39:25
  Author: jgc
Revision: 5532

Fix dependencies on old gstreamer plugins

Modified:
  bmpx/trunk/PKGBUILD

----------+
 PKGBUILD |   15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-18 06:37:43 UTC (rev 5531)
+++ PKGBUILD	2008-07-18 06:39:25 UTC (rev 5532)
@@ -8,10 +8,9 @@
 pkgdesc="A media player and the successor to BMP"
 arch=(i686 x86_64)
 url="http://bmpx.backtrace.info/site/BMPx_Homepage"
-depends=('boost' 'fam' 'gstreamer0.10-alsa' 'gstreamer0.10-cdparanoia'
-	'gstreamer0.10-good' 'gstreamer0.10-vorbis' 'hal' 'libglademm' 'libofa'
-	'librsvg' 'libsexymm' 'libsoup>=2.4.0' 'sqlite3' 'startup-notification>=0.8'
-	'taglib')
+depends=('boost' 'fam' 'gstreamer0.10-good-plugins' 'gstreamer0.10-base-plugins'
+	 'hal' 'libglademm' 'libofa' 'librsvg' 'libsexymm' 'libsoup>=2.4.0'
+	 'sqlite3' 'startup-notification>=0.8' 'taglib')
 # 0.40.0: bmpx provide their own neon and musicbrainz implementation.
 makedepends=('bison' 'flex' 'pkgconfig' 'perlxml')
 options=('!libtool' '!makeflags')
@@ -25,13 +24,13 @@
   cd ${startdir}/src/${pkgname}-${pkgver}
   patch -Np1 < ../bmpx-libsoup24.patch || return 1
   patch -Np1 < ../bmpx-gcc34.diff || return 1
-  ./configure --prefix=/usr --enable-amazon --libexecdir=/usr/lib/bmpx
-  sed -e '/BUILD_BUILDUSER/ s@".*"@"http://www.archlinux.org"@' -i build.h
+  ./configure --prefix=/usr --enable-amazon --libexecdir=/usr/lib/bmpx || return 1
+  sed -e '/BUILD_BUILDUSER/ s@".*"@"http://www.archlinux.org"@' -i build.h || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 
   # install license
-  install -D -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/LICENSE
+  install -D -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/LICENSE || return 1
 
   #Fix invalid symlink pointing to builddir
   cd ${startdir}/pkg/usr/bin





More information about the arch-commits mailing list